package com.citygis.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.citygis.web.domain.TabDatalog;
import com.citygis.web.domain.TabLinkTitle;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author citygis
 * @since 2025-01-17
 */
public interface TabDatalogMapper extends BaseMapper<TabDatalog> {

    List<TabDatalog> getDataLogList(TabDatalog tabDatalog);

    List<TabDatalog> getDatalogDetailByTableEnglishName(TabDatalog tabDatalog);

    TabLinkTitle getLinkTitle(TabDatalog tabDatalog);

}
